Last updated: September 23, 2026
Save LDAP Provisioning Config
Save LDAP Provisioning Config.
Request
POST
https://superadminuser.miniorange.in/services/api/idps/v1/ldap/provisioning/:uuidAuthentication headers (required on every request)
- Customer-Key
- Super Admin ID for the actor account.
- Timestamp
- Milliseconds since epoch (e.g. Date.now()).
- Authorization
- SHA-512 of superAdminId + timestamp + apiKey.
- X-Target-Customer-Id
- Customer tenant the Super Admin is acting on.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| uuid | String | Required | Path parameter |
| isImportUserEnabled | String | Optional | |
| isImportGroupEnabled | String | Optional | |
| isAssignUsersToGroupEnabled | String | Optional | |
| isCreateUserEnabled | String | Optional | |
| isEditUserEnabled | String | Optional | |
| isDeleteUserEnabled | String | Optional | |
| isPasswordSyncEnabled | String | Optional | |
| isCreateGroupEnabled | String | Optional | |
| isDeleteGroupEnabled | String | Optional | |
| isNestedImportGroupEnabled | String | Optional | |
| provisioningAttrsMappings | String | Optional |
Request body
{
"isImportUserEnabled": true,
"isImportGroupEnabled": true,
"isAssignUsersToGroupEnabled": true,
"isCreateUserEnabled": false,
"isEditUserEnabled": false,
"isDeleteUserEnabled": false,
"isPasswordSyncEnabled": false,
"isCreateGroupEnabled": false,
"isDeleteGroupEnabled": false,
"isNestedImportGroupEnabled": false,
"provisioningAttrsMappings": [
{
"attributeType": "STANDARD_ATTRIBUTE",
"attributeName": "mail",
"attributeValue": "primaryEmail"
},
{
"attributeType": "STANDARD_ATTRIBUTE",
"attributeName": "givenName",
"attributeValue": "fname"
},
{
"attributeType": "STANDARD_ATTRIBUTE",
"attributeName": "sn",
"attributeValue": "lname"
},
{
"attributeType": "STANDARD_ATTRIBUTE",
"attributeName": "samaccountname",
"attributeValue": "username"
}
]
}
No sample response is documented for this endpoint yet. Use Try it on the right to see the live response from your tenant.